SingleCheckExecutor (Apache Ant API)
Date: 2012-02-26

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.helper
Class SingleCheckExecutor

    java.lang.Object
      org.apache.tools.ant.helper.SingleCheckExecutor

All Implemented Interfaces:
  Executor

    public class SingleCheckExecutor

extends java.lang.Object
implements Executor

"Single-check" Target executor implementation. Differs from `DefaultExecutor` in that the dependencies for all targets are computed together, so that shared dependencies are run just once.

Since:
  Ant 1.6.3

Constructor Summary
`SingleCheckExecutor()`

Method Summary
`void` | `executeTargets(Project project, java.lang.String[] targetNames)` Execute the specified Targets for the specified Project.
`Executor` | `getSubProjectExecutor()` Get the appropriate subproject Executor instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleCheckExecutor

    public SingleCheckExecutor()

Method Detail

### executeTargets

    public void executeTargets(Project project,
                               java.lang.String[] targetNames)
                        throws BuildException

  Execute the specified Targets for the specified Project..

  Specified by:
    `executeTargets` in interface `Executor`
  Parameters:
    `project` - the Ant Project.
    `targetNames` - String[] of Target names as specified on the command line.
  Throws:
    `BuildException` - on error

### getSubProjectExecutor

    public Executor getSubProjectExecutor()

  Get the appropriate subproject Executor instance. This allows the top executor to control what type of executor is used to execute subprojects via // and task that extend these. All bundled Executors return a SingleCheckExecutor (running a merged set of depended targets for all targets called) to run sub-builds..

  Specified by:
    `getSubProjectExecutor` in interface `Executor`
  Returns:
    an Executor instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD